### APT Mirror Configuration

```shell
sudo nano /etc/apt/source.list
```

**Mirror Repository**
- Example for Ubuntu Focal
```shell
deb http://apt.internal.cubetiqs.com/ubuntu focal main restricted
deb http://apt.internal.cubetiqs.com/ubuntu focal-updates main restricted
deb http://apt.internal.cubetiqs.com/ubuntu focal universe
deb http://apt.internal.cubetiqs.com/ubuntu focal-updates universe
deb http://apt.internal.cubetiqs.com/ubuntu focal multiverse
deb http://apt.internal.cubetiqs.com/ubuntu focal-updates multiverse
deb http://apt.internal.cubetiqs.com/ubuntu focal-backports main restricted universe multiverse
deb http://apt.internal.cubetiqs.com/ubuntu focal-security main restricted
deb http://apt.internal.cubetiqs.com/ubuntu focal-security universe
deb http://apt.internal.cubetiqs.com/ubuntu focal-security multiverse
```

- Change the version of Ubuntu
```shell
UBUNTU_VERSION=$(lsb_release -cs)

deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION} main restricted
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-updates main restricted
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION} universe
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-updates universe
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION} multiverse
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-updates multiverse
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-backports main restricted universe multiverse
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-security main restricted
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-security universe
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-security multiverse
```
